Show / Hide Table of Contents

# Class SignatureHelp

##### Inheritance

System.Object
SignatureHelp

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class SignatureHelp

### Properties

| Improve this Doc View Source

#### ActiveParameter

##### Declaration

    public int ? ActiveParameter { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### ActiveSignature

##### Declaration

    public int ? ActiveSignature { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### Signatures

##### Declaration

    public SignatureInformation[] Signatures { get; set; }

##### Property Value

Type | Description
--- | ---
SignatureInformation[] |